echo off
echo -
echo -
echo -  Diese Batchdatei installiert die Karte in MapSource
echo -
echo -  Karte:  "T26"
echo -  FID:  9990
echo -  PID:  1
echo -
echo -  Weiter mit "Eingabe", Abrechen mit Ctrl-C
echo -
pause

if exist "%~dp0mapset.img" goto :INSTREG
echo Datei fehlt: mapset.img, Installationsabbruch.
pause
exit 1

:INSTREG
echo Einfügen der Registry-Schlüssel

set KEY=HKLM\SOFTWARE\Wow6432Node\Garmin\MapSource
if %PROCESSOR_ARCHITECTURE% == AMD64 goto key_ok
set KEY=HKLM\SOFTWARE\Garmin\MapSource
:key_ok

reg ADD %KEY%\Families\FAMILY_9990 /v ID /t REG_BINARY /d 0627 /f
if exist "%~dp0mapset_mdr.img" (
	reg ADD %KEY%\Families\FAMILY_9990 /v IDX /t REG_SZ /d "%~dp0mapset.mdx" /f
	reg ADD %KEY%\Families\FAMILY_9990 /v MDR /t REG_SZ /d "%~dp0mapset_mdr.img" /f
)
if exist "%~dp0mapset.typ" reg ADD %KEY%\Families\FAMILY_9990 /v TYP /t REG_SZ /d "%~dp0mapset.typ" /f
reg ADD %KEY%\Families\FAMILY_9990\1 /v Loc /t REG_SZ /d "%~dp0\" /f
reg ADD %KEY%\Families\FAMILY_9990\1 /v Bmap /t REG_SZ /d "%~dp0mapset.img" /f
reg ADD %KEY%\Families\FAMILY_9990\1 /v Tdb /t REG_SZ /d "%~dp0mapset.tdb" /f
pause
exit 0
